View Single Post

Default 

September 8th, 2012, 01:53
Requires Windows Vista or higher and an 8000 series… so it requires DirectX 10. That seems to be the trend this year. (But still now 64-bit requirement.)
Zloth is offline

Zloth

Zloth's Avatar
I smell a… wumpus!?

#54

Join Date: Aug 2008
Location: Kansas City
Posts: 2,648